import request from '@/apis/utils/request'
 
export function homePage(data) {
	var url='/mobile/tenant/homePage';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}

export function findByOpenId(data) {
	var url='/mobile/employeeUser/findByOpenId';
	return request({
		method: 'get',
		data: data,
		url: url
	})
}

// 统计-用电量(设备远程抄表)
export function homePageKwh(data) {
	var url='/mobile/employee/homePageKwh';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}

// 统计-设备数据检测(设备巡检)
export function homePageDeviceData(data) {
	var url='/mobile/employee/homePageDeviceData';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}

// 统计-拥有的设备的单位
export function deviceCompanyList() {
	var url='/mobile/employee/deviceCompanyList';
	return request({
		method: 'post',
		url: url
	})
}

// 统计-累计报警
export function deviceStatus(data) {
	var url='/mobile/employee/deviceStatus';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}

// 电量统计
export function electricityStatistics(data) {
	var url='/mobile/employeeElectricityMeter/electricityStatistics';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}

// 时间段统计
export function timeSlotStatistics(data) {
	var url='/mobile/employeeElectricityMeter/timeSlotStatistics';
	return request({
		method: 'post',
		data: data,
		url: url
	})
}
 